-- RBT-TEST - Проверка восстановления дампов версии 9.1
-- Проверка восстановления в режиме совместимости дампов версии 9.1
--
\i 'support/init.sql'
\i 'support/init-config-tools.sql'
\i 'support/enable-auto-adjust-macs.sql'
--
-- Устанавливаем метку на кластер
-- Ожидается успех
MAC LABEL ON CLUSTER IS '{0,0}';
-- Выполняем восстановление с помощью утилиты psql
\! /usr/lib/postgresql/9.4/bin/psql -U postgres -d mtest -f /usr/share/postgresql/9.4/test/pgacext/data/dump91.sql
--
-- Проверяем результат восстановления
-- Ожидаются автоматически установленные метки на объектах БД
SELECT maclabel, datname, datmacccr FROM pg_database WHERE datname='mtest';
SELECT maclabel, nspname, nspmacccr FROM pg_namespace WHERE nspname='public';
SELECT maclabel, relname, relmacccr FROM pg_class WHERE relname='Проверка';
SELECT cluster_maclabel;
--
-- Сбрасываем признак MAC CCR у кластера, базы данных и схемы
MAC CCR ON SCHEMA public is OFF;
MAC CCR ON DATABASE mtest is OFF;
MAC CCR ON CLUSTER IS OFF;
--
\i 'support/select-test-table.sql'
--
-- Удаляем таблицу
\connect - postgres
DROP TABLE "Проверка";
--
-- Устанавливаем признак MAC CCR у кластера, базы данных и схемы
MAC CCR ON SCHEMA public is ON;
MAC CCR ON DATABASE mtest is ON;
MAC CCR ON CLUSTER IS ON;
-- Устанавливаем метку схемы, базы данных и кластера в {0,0}
MAC LABEL ON SCHEMA public is '{0,0}';
MAC LABEL ON DATABASE mtest IS '{0,0}';
MAC LABEL ON CLUSTER IS '{0,0}';
SELECT maclabel, relname FROM pg_class WHERE relname = 'Проверка';
SELECT maclabel, nspname FROM pg_namespace WHERE nspname = 'public';
SELECT cluster_maclabel;
SELECT cluster_macccr;
--
-- Выполняем восстановление с помощью утилиты pg_restore
\! /usr/lib/postgresql/9.4/bin/pg_restore -U postgres -d mtest /usr/share/postgresql/9.4/test/pgacext/data/dump91.bin
--
-- Проверяем результат восстановления
-- Ожидаются автоматически установленные метки на объектах БД
SELECT maclabel, datname, datmacccr FROM pg_database WHERE datname='mtest';
SELECT maclabel, nspname, nspmacccr FROM pg_namespace WHERE nspname='public';
SELECT maclabel, relname, relmacccr FROM pg_class WHERE relname='Проверка';
SELECT cluster_maclabel;
SELECT cluster_macccr;
--
MAC CCR ON SCHEMA public is OFF;
MAC CCR ON DATABASE mtest is OFF;
MAC CCR ON CLUSTER IS OFF;
--
-- Проверяем результат восстановления
\i 'support/select-test-table.sql'
--
\i 'support/disable-auto-adjust-macs.sql'
\i 'support/done.sql'
\i 'support/reset-cluster-mac-attributes.sql'
